Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.rule
Interface Match

    public interface Match

Method Summary
`List<String>` | `getDeclarationIds()` Returns the list of declaration identifiers that are bound to the tuple that created this Match.
`Object` | `getDeclarationValue(String declarationId)` Returns the bound declaration value for the given declaration identifier.
`List<? extends FactHandle>` | `getFactHandles()`
`List<Object>` | `getObjects()` Returns the list of objects that make the tuple that created this Match.
`PropagationContext` | `getPropagationContext()`
`Rule` | `getRule()`
`boolean` | `isActive()` An Match is considered active if it is on the agenda and has not yet fired.

Method Detail

### getRule

    Rule getRule()

  Returns:
    The Rule that was activated.

### getPropagationContext

    PropagationContext getPropagationContext()

  Returns:
    The PropagationContext that created this Match

### getFactHandles

    List<? extends FactHandle> getFactHandles()

  Returns:
    The matched FactHandles for this Match

### getObjects

    List<Object> getObjects()

  Returns the list of objects that make the tuple that created this Match. The objects are in the proper tuple order.

  Returns:

### getDeclarationIds

    List<String> getDeclarationIds()

  Returns the list of declaration identifiers that are bound to the tuple that created this Match.

  Returns:

### getDeclarationValue

    Object getDeclarationValue(String declarationId)

  Returns the bound declaration value for the given declaration identifier.

  Parameters:
    `declarationId` -
  Returns:

### isActive

    boolean isActive()

  An Match is considered active if it is on the agenda and has not yet fired. Once an Match has fired it is remove from the Agenda an considered dormant. However remember that the Match may still be considered "true", i.e. a full match.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.